package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderLogistics;


/**
*  service接口类
*/
public interface OrderLogisticsService{

    List<OrderLogistics> getOrderLogisticsList(OrderLogistics record);

    List<OrderLogistics> getOrderLogisticsByPage(Page page, OrderLogistics record);

    OrderLogistics getOrderLogisticsById(String id);

    OrderLogistics getOrderLogistics(OrderLogistics record);

    boolean createOrderLogistics(OrderLogistics record);

    boolean deleteOrderLogistics(String id);

    boolean updateOrderLogistics(OrderLogistics record);
}

